Reports
Query retained customer, channel, agent, bot, and campaign activity with explicit date anchors.
2 generated endpoints in this resource group.
get
/reportsList available report definitions#
Authorization
Scheme
- bearerAuth
Required scopes
- report:read
Allowed roles
- owner
- admin
List report definitions.
Responses
- Name
200- Type
- application/json
- Description
- Report definitions
- Name
default- Description
- No response description documented.
Related schemas
Request
GETRequest
curl -X GET "https://api.flownally.com/v1/reports" \
-H "Authorization: Bearer {token}"Response
200application/json
{
"reports": [
{
"id": "string",
"title": "string",
"description": "string",
"dataset": "string",
"grain": "string",
"dateAnchor": "string",
"definitionVersion": "string",
"metrics": [
{
"id": "string",
"label": "string",
"unit": "count",
"aggregation": "additive"
}
],
"dimensions": [
"string"
],
"filters": [
"string"
]
}
]
}post
/reports/{reportId}/queryQuery a report#
Authorization
Scheme
- bearerAuth
Required scopes
- report:read
Allowed roles
- owner
- admin
Query a report.
Required parameters
- Name
reportId- Type
- path string
- Description
- Required parameter.
Request body
Send a application/json body. The body is required for this operation.
Required attributes
- Name
from- Type
- string
- Description
- Required request attribute.
- Name
to- Type
- string
- Description
- Required request attribute.
- Name
timezone- Type
- string
- Description
- Required request attribute.
Optional attributes
- Name
interval- Type
- enum
- Description
- Optional request attribute.Allowed: day, week
- Name
groupBy- Type
- string
- Description
- Optional request attribute.
- Name
population- Type
- enum
- Description
- Optional request attribute.Allowed: customer, created
- Name
filters- Type
- ReportFilters
- Description
- Optional request attribute.
- Name
search- Type
- string
- Description
- Optional request attribute.
- Name
first- Type
- integer
- Description
- Optional request attribute.
- Name
after- Type
- string
- Description
- Optional request attribute.
Responses
- Name
200- Type
- application/json
- Description
- Report result
- Name
default- Description
- No response description documented.
Related schemas
Request
POSTRequest
curl -X POST "https://api.flownally.com/v1/reports/{reportId}/query" \
-H "Authorization: Bearer {token}" \
-H "Content-Type: application/json" \
-d '{
"from": "string",
"to": "string",
"timezone": "string",
"interval": "day",
"groupBy": "string",
"population": "customer",
"filters": {
"inboxIds": [
"string"
],
"channels": [
"string"
],
"agentIds": [
"string"
],
"botIds": [
"string"
],
"initiators": [
"string"
],
"campaignIds": [
"string"
]
},
"search": "string",
"first": 0,
"after": "string"
}'Response
200application/json
{
"reportId": "string",
"definitionVersion": "string",
"generatedAt": "2026-04-27T00:00:00.000Z",
"from": "string",
"to": "string",
"timezone": "string",
"interval": "string",
"dateAnchor": "string",
"population": "string",
"filters": {
"inboxIds": [
"string"
],
"channels": [
"string"
],
"agentIds": [
"string"
],
"botIds": [
"string"
],
"initiators": [
"string"
],
"campaignIds": [
"string"
]
},
"columns": [
{
"id": "string",
"label": "string",
"kind": "dimension",
"unit": "count"
}
],
"rows": [
{
"key": "string",
"label": "string",
"bucketStart": "string",
"dimensions": {},
"values": {}
}
],
"totals": {},
"comparisonTotals": {},
"pageInfo": {
"hasNextPage": true,
"endCursor": "string"
},
"totalCount": 0
}